Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Interface Resolver

All Known Implementing Classes:
  MetamodelImpl

    public interface Resolver

A Resolver is used to resolve listeners and class or entity names that appear in a query.

Author:
  Abe White

Method Summary
`Class` | `classForName(String name, String[] imports)` Resolve the type represented by the given class name.
`AggregateListener` | `getAggregateListener(String tag)` Return the function listener for the given tag, or null if none.
`OpenJPAConfiguration` | `getConfiguration()` Return the OpenJPA configuration.
`FilterListener` | `getFilterListener(String tag)` Return the filter listener for the given tag, or null if none.
`QueryContext` | `getQueryContext()` The `QueryContext` for which this resolver was created

Method Detail

### classForName

    Class classForName(String name,
                       String[] imports)

  Resolve the type represented by the given class name. This will test the type against the namespace of the Query and the declared imports, and will properly handle primitives and java.lang types as well. Returns null if the name does not match a known type.

### getFilterListener

    FilterListener getFilterListener(String tag)

  Return the filter listener for the given tag, or null if none.

### getAggregateListener

    AggregateListener getAggregateListener(String tag)

  Return the function listener for the given tag, or null if none.

### getConfiguration

    OpenJPAConfiguration getConfiguration()

  Return the OpenJPA configuration.

### getQueryContext

    QueryContext getQueryContext()

  The `QueryContext` for which this resolver was created

  Since:
    1.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.